#erp-toast-root {
    position: fixed;
    bottom: 20px;
    left: 20px;
    z-index: 99999;
}
.erp-toast-container {
    position: fixed;
    bottom: 20px;
    left: 20px;    /* hoặc left */
    z-index: 99999999;
}
.erp-toast {
    position: absolute;
    z-index: 99999999;
    min-width: 320px;
    padding: 6px 12px;
    border-radius: 3px;
    border-left: 5px solid var(--erp-color-5);
    font-size: 13px;
    color: #fff;
    background: #333;
    box-shadow: 0 4px 12px rgba(0,0,0,0.15);
    opacity: 0;
    transform: scale(0.95);
    transition: all 0.2s ease;
    pointer-events: none;
}

/* Thanh timeline */
.erp-toast-progress {
    position: absolute;
    left: 0;
    bottom: 0;
    height: 3px;
    width: 100%;
    background: currentColor; /* ăn theo màu toast */

    transform-origin: left;
    animation: erpToastProgress linear forwards;
}

.erp-toast.show {
    opacity: 1;
    transform: scale(1.15);
}

.erp-toast {
    animation: fadeOut 0.3s ease forwards;
    animation-delay: var(--duration);
}

/* màu */
.erp-toast-error { background: #4035dc; }
.erp-toast-success { background: #198754; }
.erp-toast-warning { background: #ffc107; color: #000; }

/* arrow */
.erp-toast-arrow {
    position: absolute;
    width: 8px;
    height: 8px;
    background: inherit;
    transform: rotate(45deg);
}

/* position arrow */
.erp-toast-right .erp-toast-arrow {
    left: 0px;
    top: 50%;
    transform: translateY(-50%) rotate(45deg);
}

.erp-toast-left .erp-toast-arrow {
    right: 0px;
    top: 50%;
    transform: translateY(-50%) rotate(45deg);
}

.erp-toast-top .erp-toast-arrow {
    bottom: 0px;
    left: 50%;
    transform: translateX(-50%) rotate(45deg);
}

.erp-toast-bottom .erp-toast-arrow {
    top: 0px;
    left: 50%;
    transform: translateX(-50%) rotate(45deg);
}
.erp-toast-content{
    padding: 3px;
}

@keyframes erpToastProgress {
    from {
        transform: scaleX(0);
    }
    to {
        transform: scaleX(1);
    }
}